#
# spec file for package xdx
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           xdx
Version:        2.5.0
Release:        lp152.3.2
License:        GPL-2.0
Summary:        Dx-cluster telnet client
Url:            http://www.qsl.net/pg4i/linux/xdx.html
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fdupes
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  update-desktop-files

%description
Xdx is a dedicated network client for amateur radio operators who want 
to exchange DX (long distance) radio information. After connection 
to a DX-cluster, xdx will show DX-spots in a list and other messages 
('To all' and WWV/WCY messages) in a text widget.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_datadir}/applications/Xdx.desktop
cp %{buildroot}%{_datadir}/xdx/pixmaps/xdx.png %_sourcedir
%find_lang %{name}
%suse_update_desktop_file -c xdx Xdx "Dx-cluster telnet client" xdx xdx "Network;HamRadio"
%fdupes %{buildroot}%{_datadir}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun May 10 2015 dl8fcl@darc.de
- update to version 2.5.0~rc3
  * Complete function key command entry support.
  * Add close dialog when Ctl-Q is used to exit.
  * Update manual page to current conventions.
  * Update GPL boiler plate for current FSF mailing address.
  * Spanish translation update from Baltasar, EA8BVP.
  * German translation update from Tom, DL1JBE.
  * Polish translation update from Bogusław, SQ5TB.
  * Update to CTY-2505 – 20 April 2015.
* Tue Jan  6 2015 dl8fcl@darc.de
- update to version 2.5.0~rc2
* Fri Dec 26 2014 dl8fcl@darc.de
- update to version 2.5.0~rc
  * Complete function key command entry support.
  * Add close dialog when Ctl-Q is used to exit.
  * Update manual page to current conventions.
* Wed Feb 19 2014 dl8fcl@darc.de
- update to version 2.4.3
  * Apply Debian patch from bug #577377.
  * Bring build system up to date for later versions of Autotools.
  * Do not track any build system generated files in Git VCS.
  * Modify source as needed for clean build with Gtk+ 2.24.
  * New upstream maintainer, Nate Bargmann, N0NB <n0nb@n0nb.us>
  * Development hosted at https://github.com/N0NB/xdx
  * Portuguese translation update from David, CT1DRB
  * Add support to load updated country file using command line option,
    environment variable, or placing cty.dat in the preferences directory.
  * Fix URI handling for GTK+ 2.24 and later.
  * Disable function keys for this release.
  all post-build-checks enabled again
* Sat Sep 22 2012 dl8fcl@darc.de
- 64bit-portability.diff removed
- post-build-checks disabled for >= 12.1
* Mon Aug 29 2011 dl8fcl@darc.de
- 64bit-portability-issues fixed
* Tue Jul 13 2010 dl8fcl@darc.de
- fixed deprecated GtkWidget
* Sun Jan 11 2009 dl8fcl@darc.de
- update to 2.4.2
* Mon Dec 15 2008 dl8fcl@darc.de
- updated to 2.4.1
